Bug 2015170 - [abrt] remmina: bio_write_intern(): remmina killed by SIGSEGV
Summary: [abrt] remmina: bio_write_intern(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26e394f908645e68b5ccfd775fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-18 14:52 UTC by Matthew Saltzman
Modified: 2021-11-26 01:27 UTC (History)
3 users (show)

Fixed In Version: remmina-1.4.21-1.fc34 remmina-1.4.21-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-26 01:07:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (115.72 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: core_backtrace (60.58 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: cpuinfo (2.50 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: dso_list (246 bytes, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: environ (2.57 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: exploitable (82 bytes, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: limits (1.29 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: maps (3.99 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: mountinfo (3.44 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: open_fds (9.10 KB, text/plain)
2021-10-18 14:52 UTC, Matthew Saltzman
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2021-10-18 14:53 UTC, Matthew Saltzman
no flags Details
File: var_log_messages (931 bytes, text/plain)
2021-10-18 14:53 UTC, Matthew Saltzman
no flags Details

Description Matthew Saltzman 2021-10-18 14:52:25 UTC
Version-Release number of selected component:
remmina-1.4.20-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.remmina.Remmina-225572.scope
cmdline:        remmina
crash_function: bio_write_intern
executable:     /usr/bin/remmina
journald_cursor: s=a5766f9b4c6c4ad6a02a3ff1f4f6b1b5;i=385524;b=b18ca853256144cd8d80a1e73a8cc1a0;m=307143b447;t=5ce67fc8dfbae;x=76ecdb08b79b5fa2
kernel:         5.14.9-200.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 bio_write_intern at crypto/bio/bio_lib.c:328
 #1 ??
 #2 BIO_write at crypto/bio/bio_lib.c:356
 #3 transport_write at /usr/src/debug/freerdp-2.3.2-1.fc34.x86_64/winpr/include/winpr/stream.h:297

Comment 1 Matthew Saltzman 2021-10-18 14:52:30 UTC
Created attachment 1834261 [details]
File: backtrace

Comment 2 Matthew Saltzman 2021-10-18 14:52:32 UTC
Created attachment 1834262 [details]
File: core_backtrace

Comment 3 Matthew Saltzman 2021-10-18 14:52:37 UTC
Created attachment 1834263 [details]
File: cpuinfo

Comment 4 Matthew Saltzman 2021-10-18 14:52:38 UTC
Created attachment 1834264 [details]
File: dso_list

Comment 5 Matthew Saltzman 2021-10-18 14:52:39 UTC
Created attachment 1834265 [details]
File: environ

Comment 6 Matthew Saltzman 2021-10-18 14:52:40 UTC
Created attachment 1834266 [details]
File: exploitable

Comment 7 Matthew Saltzman 2021-10-18 14:52:41 UTC
Created attachment 1834267 [details]
File: limits

Comment 8 Matthew Saltzman 2021-10-18 14:52:42 UTC
Created attachment 1834268 [details]
File: maps

Comment 9 Matthew Saltzman 2021-10-18 14:52:44 UTC
Created attachment 1834269 [details]
File: mountinfo

Comment 10 Matthew Saltzman 2021-10-18 14:52:45 UTC
Created attachment 1834270 [details]
File: open_fds

Comment 11 Matthew Saltzman 2021-10-18 14:53:05 UTC
Created attachment 1834271 [details]
File: proc_pid_status

Comment 12 Matthew Saltzman 2021-10-18 14:53:06 UTC
Created attachment 1834272 [details]
File: var_log_messages

Comment 13 Fedora Update System 2021-11-10 20:40:57 UTC
FEDORA-2021-ac23d9e47f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac23d9e47f

Comment 14 Fedora Update System 2021-11-10 20:41:09 UTC
FEDORA-2021-5d227916bc has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d227916bc

Comment 15 Fedora Update System 2021-11-11 02:13:10 UTC
FEDORA-2021-5d227916bc has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5d227916bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5d227916bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-11-11 02:33:48 UTC
FEDORA-2021-ac23d9e47f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ac23d9e47f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac23d9e47f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-11-26 01:07:44 UTC
FEDORA-2021-5d227916bc has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-11-26 01:27:55 UTC
FEDORA-2021-ac23d9e47f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.